org.keycloak.adapters.wildfly

## Class WildflyAuthenticationMechanism

- java.lang.Object
- - org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech
  - - org.keycloak.adapters.undertow.ServletKeycloakAuthMech
    - - org.keycloak.adapters.wildfly.WildflyAuthenticationMechanism

- All Implemented Interfaces:
    io.undertow.security.api.AuthenticationMechanism

      public class WildflyAuthenticationMechanism
      extends ServletKeycloakAuthMech

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.undertow.security.api.AuthenticationMechanism

      `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome, io.undertow.security.api.AuthenticationMechanism.ChallengeResult`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.adapters.undertow.ServletKeycloakAuthMech

      `nodesRegistrationManagement, portManager`

    - ### Fields inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `deploymentContext, errorPage, KEYCLOAK_CHALLENGE_ATTACHMENT_KEY, sessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildflyAuthenticationMechanism(AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, NodesRegistrationManagement nodesRegistrationManagement, io.undertow.servlet.api.ConfidentialPortManager portManager, String errorPage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServletRequestAuthenticator` | `createRequestAuthenticator(KeycloakDeployment deployment, io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext, UndertowHttpFacade facade)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.ServletKeycloakAuthMech

      `authenticate, getConfidentilPort, getTokenStore, servePage`

    - ### Methods inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `keycloakAuthenticate, registerNotifications, sendChallenge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WildflyAuthenticationMechanism

          public WildflyAuthenticationMechanism(AdapterDeploymentContext deploymentContext,
                                        UndertowUserSessionManagement userSessionManagement,
                                        NodesRegistrationManagement nodesRegistrationManagement,
                                        io.undertow.servlet.api.ConfidentialPortManager portManager,
                                        String errorPage)

  - ### Method Detail

    - #### createRequestAuthenticator

          protected ServletRequestAuthenticator createRequestAuthenticator(KeycloakDeployment deployment,
                                                               io.undertow.server.HttpServerExchange exchange,
                                                               io.undertow.security.api.SecurityContext securityContext,
                                                               UndertowHttpFacade facade)

      Overrides:
        `createRequestAuthenticator` in class `ServletKeycloakAuthMech`

Copyright © 2015. All rights reserved.